ChunkerModelSerializer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.model

## Class ChunkerModelSerializer

- java.lang.Object
- - opennlp.tools.util.model.ChunkerModelSerializer

- All Implemented Interfaces:
    ArtifactSerializer<ChunkerModel>

      public class ChunkerModelSerializer
      extends Object
      implements ArtifactSerializer<ChunkerModel>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkerModelSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChunkerModel` | `create(InputStream in)` Creates the artifact from the provided `InputStream`.
    `void` | `serialize(ChunkerModel artifact, OutputStream out)` Serializes the artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkerModelSerializer

          public ChunkerModelSerializer()

  - ### Method Detail

    - #### create

          public ChunkerModel create(InputStream in)
                              throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates the artifact from the provided `InputStream`. The `InputStream` remains open.
      Specified by:
        `create` in interface `ArtifactSerializer<ChunkerModel>`
      Returns:
        the artifact
      Throws:
        `IOException`

    - #### serialize

          public void serialize(ChunkerModel artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes the artifact to the provided `OutputStream`. The `OutputStream` remains open.
      Specified by:
        `serialize` in interface `ArtifactSerializer<ChunkerModel>`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.